/*
 * Project name:
     ADC_on LEDs (Display the result of ADC on Lcd display)
 * Copyright:
     (c) Mikroelektronika, 2009.
 * Revision History:
     20080930:
       - initial release;
       - 20090818 - Slavisa Zlatanovic;
 * Description:
      A simple example of using the ADC library.
      ADC results are displayed on PORTB and PORTC LEDs.
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/en/tools/easyavr6/
     
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/en/compilers/mikroc/avr/
 * NOTES:
     - Turn on PORTB and PORTC LEDs(SW8.2 and SW8.3).
     - To simulate analog input on ADC channel 2, use on-board potentiometer P1
       by connecting jumper J12 to pin RA2.
 */

#include <built_in.h>

unsigned int adc_rd;

void main() {

  DDRB = 0xFF;               // set PORTB as output
  DDRC = 0xFF;               // set PORTC as output
  
  while (1) {
    adc_rd = ADC_Read(2);    // get ADC value from 2nd channel
    PORTB = adc_rd;          // display adc_rd[7..0]
    PORTC = Hi(adc_rd);      // display adc_rd[9..8]
  }
}
