/*
 * Project name:
     LED_Blinking (Simple 'Hello World' project)
 * Copyright:
     (c) Mikroelektronika, 2009.
 * Revision History:
     20080930:
       - initial release;
       - 20090818 - Slavisa Zlatanovic;
 * Description:
     This is a simple 'Hello World' project. It turns on/off diodes connected to
     PORTA, PORTB, PORTC and PORTD. 
 * Test configuration:
     MCU:             ATmega16
                      http://www.atmel.com/dyn/resources/prod_documents/doc2466.pdf
     Dev.Board:       EasyAVR6
                      http://www.mikroe.com/en/tools/easyavr6/
     Oscillator:      External Clock 08.0000 MHz
     Ext. Modules:    -
     SW:              mikroC PRO for AVR
                      http://www.mikroe.com/en/compilers/mikroc/avr/
 * NOTES:
     - Make sure you turn ON the PORTA, PORTB, PORTC and PORTD LEDs (SW8.1, SW8.2, SW8.3 and SW8.4).
*/

void main() {
  DDRA = 0xFF;           // Set direction to be output
  DDRB = 0xFF;           // Set direction to be output
  DDRC = 0xFF;           // Set direction to be output
  DDRD = 0xFF;           // Set direction to be output
  
  do {
    PORTA = 0x00;        // Turn ON diodes on PORTA
    PORTB = 0x00;        // Turn ON diodes on PORTB
    PORTC = 0x00;        // Turn ON diodes on PORTC
    PORTD = 0x00;        // Turn ON diodes on PORTD
    Delay_ms(1000);      // 1 second delay
    
    PORTA = 0xFF;        // Turn OFF diodes on PORTA
    PORTB = 0xFF;        // Turn OFF diodes on PORTB
    PORTC = 0xFF;        // Turn OFF diodes on PORTC
    PORTD = 0xFF;        // Turn OFF diodes on PORTD
    Delay_ms(1000);      // 1 second delay
  } while(1);            // Endless loop
}
